Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

Imports DevExpress.ExpressApp.ConditionalAppearance
<DefaultClassOptions()> _
<NavigationItem(False), CreatableItem(False)> _
Public Class RegistryRows '-- Iktatórendszer sorai
    Inherits BaseObject
    Private _RegistryHeader As RegistryHeader
    Private _CustomersFrom As CustomersFrom
    Private _Contacts As Contacts
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    <Association("RegistryHeader-RegistryRows", GetType(RegistryHeader))> _
    Property RegistryHeader() As RegistryHeader
        Get
            Return _RegistryHeader
        End Get
        Set(ByVal value As RegistryHeader)
            SetPropertyValue("RegistryHeader", _RegistryHeader, value)
        End Set
    End Property
End Class

